PgBeam
PgBeam Docs

Update a honeytoken

PUT
/v1/projects/{project_id}/honeytokens/{honeytoken_id}

Updates a honeytoken's relation or action.

Authorization

AuthorizationBearer <token>

JWT issued by Better Auth. Verified via JWKS.

In: header

Path Parameters

project_id*string

Unique project identifier (prefixed, e.g. prj_xxx).

Match^[a-zA-Z0-9_.-]+$
honeytoken_id*string

Unique honeytoken identifier (prefixed, e.g. hnt_xxx).

Match^[a-zA-Z0-9_.-]+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for creating or updating a honeytoken.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/projects/string/honeytokens/string" \  -H "Content-Type: application/json" \  -d '{    "relation_name": "customer_ssns",    "action": "audit_only"  }'
{  "id": "hnt_01j9x8y7z6w5v4u3t2s1r0q9p8",  "project_id": "prj_01j9x8y7z6w5v4u3t2s1r0q9p8",  "schema_name": "public",  "relation_name": "customer_ssns",  "action": "audit_only",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}